﻿@using System.Web.UI.WebControls;
@using Portal.Models.DailyOrder;


<table border="0">
        <tr>
            <td style="height:25px; padding-right:4px;">
            @Html.Label("Order No")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "OrderNoEmergency";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                //}).GetHtml()
                            }).Bind(ViewData["orderNoEmergency"]).GetHtml()
            </td>

            <td style="height:25px; padding-right:4px;">
            @Html.Label("Supplier Plan")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "SupplierPlanEmergency";
                                //settings.Text = "50";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            //}).GetHtml()
                            }).Bind(ViewData["supplierPlanEmergency"]).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="height:25px; padding-right:4px;">
            @Html.Label("Rcv Plant Code")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "RvcPlanCodeEmergency";
                                //settings.Text = "200";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            //}).GetHtml()
                            }).Bind(ViewData["receivePlanCodeEmergency"]).GetHtml()
            </td>
          <td style="height:25px; padding-right:4px;">
            @Html.Label("Dock Code")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "DockCodeEmergency";
                                //settings.Text = "200";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                // }).GetHtml()
                            }).Bind(ViewData["dockCodeEmergency"]).GetHtml()
            </td>
         </tr>
       </table>

    <table width="100%" border="0">
        <tr>
            <td>
            </td>
            <td align="right">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnCancelPartOrderEmergency";
                    settings.Text = "Cancel / Reduce Part Order";
                    settings.Width = 180;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()                
            </td>
        </tr>
    </table>